/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2021. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";var __createBinding=this&&this.__createBinding||(Object.create?function(e,t,i,r){void 0===r&&(r=i),Object.defineProperty(e,r,{enumerable:!0,get:function(){return t[i]}})}:function(e,t,i,r){void 0===r&&(r=i),e[r]=t[i]}),__setModuleDefault=this&&this.__setModuleDefault||(Object.create?function(e,t){Object.defineProperty(e,"default",{enumerable:!0,value:t})}:function(e,t){e.default=t}),__importStar=this&&this.__importStar||function(e){if(e&&e.__esModule)return e;var t={};if(null!=e)for(var i in e)"default"!==i&&Object.prototype.hasOwnProperty.call(e,i)&&__createBinding(t,e,i);return __setModuleDefault(t,e),t};Object.defineProperty(exports,"__esModule",{value:!0}),exports.ZosFilesUtils=void 0;const path=__importStar(require("path")),fs=__importStar(require("fs")),imperative_1=require("@zowe/imperative");class ZosFilesUtils{static getDirsFromDataSet(e){let t=e.replace(new RegExp(`\\${this.DSN_SEP}`,"g"),imperative_1.IO.FILE_DELIM).toLowerCase();return t.indexOf("(")>=0&&t.indexOf(")")>=0&&(t=t.replace(/\(/,imperative_1.IO.FILE_DELIM),t=t.slice(0,-1)),t}static getFullPath(e){let t=path.normalize(e);return t=-1!==t.indexOf(":\\")||0===t.indexOf("/")?path.normalize(t):path.resolve(process.cwd(),t),t}static getFileListFromPath(e,t=!0,i=!0){const r=[],s=this.getFullPath(e);if(imperative_1.IO.isDir(s)){fs.readdirSync(s).forEach((e=>{const a=path.resolve(s,e);fs.lstatSync(a).isFile()&&(i&&path.basename(e).startsWith(".")||(t?r.push(a):r.push(e)))}))}else fs.lstatSync(s).isFile()&&(t?r.push(s):r.push(e));return r}static generateMemberName(e){let t=path.basename(e).toUpperCase();return t=t.replace(path.extname(t),""),t=t.replace(/[^A-Z0-9@#$]/g,""),t=t.replace(/[\d]/gy,""),t=t.substr(0,this.MAX_MEMBER_LENGTH),t}static isDataSetNameContainMasking(e){let t=!1;return e.match(/[*%]/g)&&(t=!0),t}static normalizeNewline(e){return Buffer.from(e.toString().replace(new RegExp("\\r\\n","g"),"\n"))}static sanitizeUssPathForRestCall(e){let t=path.posix.normalize(e);return"/"===t.charAt(0)&&(t=t.substring(1)),encodeURIComponent(t)}static formatUnixFilepath(e){return"/"===e.charAt(0)&&(e=e.substring(1)),e}}exports.ZosFilesUtils=ZosFilesUtils,ZosFilesUtils.DSN_SEP=".",ZosFilesUtils.DEFAULT_FILE_EXTENSION="txt",ZosFilesUtils.MAX_MEMBER_LENGTH=8;