/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2021. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";Object.defineProperty(exports,"__esModule",{value:!0}),exports.PdsDefinition=void 0;const create_1=require("../../../api/methods/create"),Create_options_1=require("../Create.options"),strings=require("../../-strings-/en").default.CREATE;exports.PdsDefinition={name:"data-set-partitioned",aliases:["pds"],description:strings.ACTIONS.DATA_SET_PARTITIONED.DESCRIPTION,type:"command",handler:__dirname+"/Pds.handler",profile:{optional:["rse"]},positionals:[{name:"dataSetName",type:"string",description:strings.POSITIONALS.DATASETNAME,required:!0}],options:[Create_options_1.ZosFilesCreateOptions.volumeSerial,Object.assign(Object.assign({},Create_options_1.ZosFilesCreateOptions.primary),{defaultValue:create_1.CreateDefaults.DATA_SET.PARTITIONED.primary}),Object.assign(Object.assign({},Create_options_1.ZosFilesCreateOptions.secondary),{defaultValue:create_1.CreateDefaults.DATA_SET.PARTITIONED.secondary}),Object.assign(Object.assign({},Create_options_1.ZosFilesCreateOptions.allocationUnit),{defaultValue:create_1.CreateDefaults.DATA_SET.PARTITIONED.allocationUnit}),Object.assign(Object.assign({},Create_options_1.ZosFilesCreateOptions.directoryBlocks),{defaultValue:create_1.CreateDefaults.DATA_SET.PARTITIONED.directoryBlocks}),Object.assign(Object.assign({},Create_options_1.ZosFilesCreateOptions.recordFormat),{defaultValue:create_1.CreateDefaults.DATA_SET.PARTITIONED.recordFormat}),Object.assign(Object.assign({},Create_options_1.ZosFilesCreateOptions.blockSize),{defaultValue:create_1.CreateDefaults.DATA_SET.PARTITIONED.blockSize}),Object.assign(Object.assign({},Create_options_1.ZosFilesCreateOptions.recordLength),{defaultValue:create_1.CreateDefaults.DATA_SET.PARTITIONED.recordLength}),Create_options_1.ZosFilesCreateOptions.averageBlock,Create_options_1.ZosFilesCreateOptions.unit,Create_options_1.ZosFilesCreateExtraOptions.showAttributes].sort(((e,t)=>e.name.localeCompare(t.name))),examples:[{description:strings.ACTIONS.DATA_SET_PARTITIONED.EXAMPLES.EX1,options:"NEW.PDS.DATASET"}]};