/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2021. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";var __createBinding=this&&this.__createBinding||(Object.create?function(e,t,s,i){void 0===i&&(i=s),Object.defineProperty(e,i,{enumerable:!0,get:function(){return t[s]}})}:function(e,t,s,i){void 0===i&&(i=s),e[i]=t[s]}),__setModuleDefault=this&&this.__setModuleDefault||(Object.create?function(e,t){Object.defineProperty(e,"default",{enumerable:!0,value:t})}:function(e,t){e.default=t}),__importStar=this&&this.__importStar||function(e){if(e&&e.__esModule)return e;var t={};if(null!=e)for(var s in e)"default"!==s&&Object.prototype.hasOwnProperty.call(e,s)&&__createBinding(t,e,s);return __setModuleDefault(t,e),t},__awaiter=this&&this.__awaiter||function(e,t,s,i){return new(s||(s=Promise))((function(n,r){function a(e){try{c(i.next(e))}catch(e){r(e)}}function o(e){try{c(i.throw(e))}catch(e){r(e)}}function c(e){var t;e.done?n(e.value):(t=e.value,t instanceof s?t:new s((function(e){e(t)}))).then(a,o)}c((i=i.apply(e,t||[])).next())}))};Object.defineProperty(exports,"__esModule",{value:!0}),exports.HMigrate=void 0;const imperative_1=require("@zowe/imperative"),RseRestClient_1=require("../../rest/RseRestClient"),constants_1=require("../../constants"),path=__importStar(require("path")),CoreUtils_1=require("../../utils/CoreUtils");class HMigrate{static dataSet(e,t,s={}){return __awaiter(this,void 0,void 0,(function*(){this.log.trace("HMigrate.dataSet called."),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(t,constants_1.ZosFilesMessages.missingDatasetName.message),imperative_1.ImperativeExpect.toNotBeEqual(t,"",constants_1.ZosFilesMessages.missingDatasetName.message);const s=`${constants_1.ZosFilesMessages.datasetMigratedSuccessfully.message}"${t.toUpperCase()}".`;try{const i=(0,CoreUtils_1.endpointBuilder)(e,path.posix.join(constants_1.ZosRestApiConstants.RESOURCE,constants_1.ZosRestApiConstants.DATASETS,t.toUpperCase(),constants_1.ZosRestApiConstants.MIGRATE));this.log.debug(`Endpoint: ${i}`);const n=(0,CoreUtils_1.setHeaders)(e);return{success:!0,commandResponse:s,apiResponse:yield RseRestClient_1.RseRestClient.postExpectString(e,i,n)}}catch(e){const t=e;throw this.log.error(t.toString()),e}}))}static get log(){return imperative_1.Logger.getAppLogger()}}exports.HMigrate=HMigrate;